<?php
class Apoderados extends Conectar {


public function get_apoderados() {
        $conectar = parent::conexion();
        parent::set_names();

        $sql = "SELECT * FROM tm_apoderados ORDER BY created_at DESC";
        $stmt = $conectar->prepare($sql);
        $stmt->execute();

        return $stmt->fetchAll(PDO::FETCH_ASSOC);
    }
public function get_apoderados_select() {
        $conectar = parent::conexion();
        parent::set_names();

        $sql = "SELECT * FROM tm_apoderados WHERE apo_estado = 1 ORDER BY created_at DESC";
        $stmt = $conectar->prepare($sql);
        $stmt->execute();

        return $stmt->fetchAll(PDO::FETCH_ASSOC);
    }
public function delete_apoderados($apo_id) {
        $conectar = parent::conexion();
        parent::set_names();

        $sql = "DELETE FROM tm_apoderados WHERE apo_id = ?";
        $stmt = $conectar->prepare($sql);
        $stmt->execute([$apo_id]);
    }

public function get_apoderados_por_id($apo_id) {
        $conectar = parent::conexion();
        parent::set_names();

        $sql = "SELECT * FROM tm_apoderados WHERE apo_id = ?";
        $stmt = $conectar->prepare($sql);
        $stmt->execute([$apo_id]);

        return $stmt->fetch(PDO::FETCH_ASSOC);
    }



public function insert_or_update_apoderados($apo_id, $apo_nombre, $apo_rut, $apo_email, $apo_telefono, $apo_direccion) {
    $conectar = parent::conexion();
    parent::set_names();

   if (empty($apo_id)) {
            $sql = "INSERT INTO tm_apoderados (apo_nombre, apo_rut, apo_email, apo_telefono, apo_direccion, created_at)
                    VALUES (?, ?, ?, ?, ?, NOW())";
            $stmt = $conectar->prepare($sql);
            $stmt->execute([$apo_nombre, $apo_rut, $apo_email, $apo_telefono, $apo_direccion]);
        } else {
            $sql = "UPDATE tm_apoderados
                    SET apo_nombre = ?, apo_rut = ?, apo_email = ?, apo_telefono = ?, apo_direccion = ?
                    WHERE apo_id = ?";
            $stmt = $conectar->prepare($sql);
            $stmt->execute([$apo_nombre, $apo_rut, $apo_email, $apo_telefono, $apo_direccion, $apo_id]);
        }
    }
    




}
